Package org.jbpm.services.ejb.impl.query

## Class QueryServiceEJBImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.query.QueryServiceImpl
  - - org.jbpm.services.ejb.impl.query.QueryServiceEJBImpl

- All Implemented Interfaces:
    `DeploymentEventListener`, `QueryService`, `QueryServiceEJBLocal`, `QueryServiceEJBRemote`

      public class QueryServiceEJBImpl
      extends QueryServiceImpl
      implements QueryServiceEJBLocal, QueryServiceEJBRemote

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryServiceEJBImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `configure()` |
    `void` | `registerQuery​(QueryDefinition queryDefinition)` | Registers new query definition in the system so it can be used for executing queries on top of it.
    `void` | `replaceQuery​(QueryDefinition queryDefinition)` | Registers or replaces existing query.
    `void` | `setCommandService​(TransactionalCommandService commandService)` |
    `void` | `unregisterQuery​(String uniqueQueryName)` | Removes the query definition from the system

    - ### Methods inherited from class org.jbpm.kie.services.impl.query.QueryServiceImpl

      `apply, applyQueryContext, getDataSetDefRegistry, getDataSourceResolver, getQueries, getQuery, init, onActivate, onDeactivate, onDeploy, onUnDeploy, query, query, setDataSetDefRegistry, setDataSetManager, setDataSourceResolver, setDeploymentRolesManager, setIdentityProvider, setProviderRegistry, setUserGroupCallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jbpm.services.api.query.QueryService

      `getQueries, getQuery, query, query`

- - ### Constructor Detail

    - #### QueryServiceEJBImpl

          public QueryServiceEJBImpl()

  - ### Method Detail

    - #### configure

          @PostConstruct
          public void configure()

    - #### setCommandService

          public void setCommandService​(TransactionalCommandService commandService)

      Overrides:
        `setCommandService` in class `QueryServiceImpl`

    - #### registerQuery

          public void registerQuery​(QueryDefinition queryDefinition)
                             throws QueryAlreadyRegisteredException

      Description copied from interface: `QueryService`
      Registers new query definition in the system so it can be used for executing queries on top of it.
      Specified by:
        `registerQuery` in interface `QueryService`
      Overrides:
        `registerQuery` in class `QueryServiceImpl`
      Parameters:
        `queryDefinition` - definition of the query to be registered
      Throws:
        `QueryAlreadyRegisteredException` - in case there is already query registered with given name (queryDefinition.getName())

    - #### replaceQuery

          public void replaceQuery​(QueryDefinition queryDefinition)

      Description copied from interface: `QueryService`
      Registers or replaces existing query. Similar to what `registerQuery` does, though it won't throw exception in case there is already query registered but simply replace it.
      Specified by:
        `replaceQuery` in interface `QueryService`
      Overrides:
        `replaceQuery` in class `QueryServiceImpl`
      Parameters:
        `queryDefinition` - definition of the query to be registered/replaced

    - #### unregisterQuery

          public void unregisterQuery​(String uniqueQueryName)
                               throws QueryNotFoundException

      Description copied from interface: `QueryService`
      Removes the query definition from the system
      Specified by:
        `unregisterQuery` in interface `QueryService`
      Overrides:
        `unregisterQuery` in class `QueryServiceImpl`
      Parameters:
        `uniqueQueryName` - unique name that query was registered under
      Throws:
        `QueryNotFoundException` - in case there is no such query registered